## calligraplan 3.3.0

=== CMakeLists.txt ===

project(calligraplan)

cmake_minimum_required(VERSION 3.0)
if (POLICY CMP0002)
    cmake_policy(SET CMP0002 NEW)
endif ()
if (POLICY CMP0017)
    cmake_policy(SET CMP0017 NEW)
endif ()
if (POLICY CMP0022)
    cmake_policy(SET CMP0022 NEW)
endif ()
if (POLICY CMP0026)
    cmake_policy(SET CMP0026 NEW)
endif()
if (POLICY CMP0046)
    cmake_policy(SET CMP0046 NEW)
endif ()
if (POLICY CMP0059)
    cmake_policy(SET CMP0059 NEW)
endif()
if (POLICY CMP0063)
    cmake_policy(SET CMP0063 NEW)
endif()
if (POLICY CMP0071)
    cmake_policy(SET CMP0071 NEW)
endif()

list(APPEND CMAKE_AUTOMOC_MACRO_NAMES "PLAN_SCHEDULERPLUGIN_EXPORT")

# define the version of Plan
# update these version for every release:
set(PLAN_YEAR 2021) # update every year
set(PLAN_VERSION_STRING "3.3.0")
set(PLAN_STABLE_VERSION_MAJOR 3) # 3 for 3.x, 4 for 4.x, etc.
set(PLAN_STABLE_VERSION_MINOR 3) # 0 for 3.0, 1 for 3.1, etc.
set(PLAN_VERSION_RELEASE 0)     # 89 for Alpha, increase for next test releases, set 0 for first Stable, etc.
#set(PLAN_ALPHA 1) # uncomment only for Alpha
#set(PLAN_BETA 1) # uncomment only for Beta
#set(PLAN_RC 1) # uncomment only for RC

# Define the generic version of the Calligra Plan libraries here
# This makes it easy to advance it when the next release comes.
# 14 was the last GENERIC_CALLIGRA_LIB_VERSION_MAJOR of the previous Calligra series
# (2.x) so we're starting with 15 in 3.x series.
if(PLAN_STABLE_VERSION_MAJOR EQUAL 3)
    math(EXPR GENERIC_PLAN_LIB_VERSION_MAJOR "${PLAN_STABLE_VERSION_MINOR} + 15")
else()
    # let's make sure we won't forget to update the "15"
    message(FATAL_ERROR "Reminder: please update offset == 15 used to compute GENERIC_PLAN_LIB_VERSION_MAJOR to something bigger")
endif()
set(GENERIC_PLAN_LIB_VERSION "${GENERIC_PLAN_LIB_VERSION_MAJOR}.0.0")
set(GENERIC_PLAN_LIB_SOVERSION "${GENERIC_PLAN_LIB_VERSION_MAJOR}")

message(STATUS "")
message(STATUS "Build Calligra Plan ${PLAN_VERSION_STRING} with cmake version: ${CMAKE_VERSION}, required version: ${CMAKE_MINIMUM_REQUIRED_VERSION}")
message(STATUS "")


# ensure out-of-source build
string(COMPARE EQUAL "${CMAKE_SOURCE_DIR}" "${CMAKE_BINARY_DIR}" isBuildInSource)
if(isBuildInSource)
    message(FATAL_ERROR "Compiling Plan inside the source folder is not possible.\nPlease refer to the build instruction: https://community.kde.org/Calligra/Building/3\nYou need to clean up the source folder from all build artifacts just created, otherwise further building attempts will fail again: With a git repo, you can use \"git clean -df\" in the toplevel source folder (attention! will remove also uncommited changes to the source code). With sources from a file bundle (like a zip file), delete the source folder and unbundle the sources again.")
endif()


############
#############
## Options ##
#############
############

option(PACKAGERS_BUILD "Build support of multiple CPU architectures in one binary. Should be used by packagers only." ON)

##########################
###########################
## Look for ECM, Qt, KF5 ##
###########################
##########################

find_package(ECM 5.19 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

# ECM KDE macros (include first, to have their policies and settings effect all other macros)
include(KDEInstallDirs)
include(KDECMakeSettings NO_POLICY_SCOPE)
include(KDECompilerSettings NO_POLICY_SCOPE)
# CMake macros
include(CMakePackageConfigHelpers)
include(WriteBasicConfigVersionFile)
include(CheckFunctionExists)
include(CheckTypeSize)
include(CheckIncludeFile)
include(GenerateExportHeader)
include(FeatureSummary)
# ECM macros
include(ECMOptionalAddSubdirectory)
include(ECMInstallIcons)
include(ECMAddAppIcon)
include(ECMSetupVersion)
include(ECMAddTests)
include(ECMMarkAsTest)
include(ECMMarkNonGuiExecutable)
include(ECMGenerateHeaders)
# Own macros
# This macro is a copy from calligra so only needs to be included when plan is build stand alone
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
include(MacroOptionalFindPackage)

set(REQUIRED_KF5_VERSION "5.45.0")

find_package(KF5 ${REQUIRED_KF5_VERSION} REQUIRED
    COMPONENTS
        Init
        Archive
#             Codecs
#             Completion
        Config
        ConfigWidgets
        CoreAddons
        DBusAddons
#             DocTools
        GuiAddons
        I18n
        IconThemes
        ItemViews
        JobWidgets
        KIO
        Notifications
#             NotifyConfig
        Parts
#             Sonnet
        TextWidgets
        WidgetsAddons
        WindowSystem
        XmlGui
#         Kross
)

find_package(KF5Activities)

set_package_properties(KF5Activities PROPERTIES
    DESCRIPTION "Library for Activities"
    PURPOSE "Required for activities support (optional)"
    TYPE OPTIONAL
)
if(KF5Activities_FOUND)
    set(HAVE_KACTIVITIES TRUE)
endif()

#find_package(KF5KHtml)
#set_package_properties(KF5KHtml PROPERTIES
    #PURPOSE "Required for rich text support"
    #TYPE REQUIRED
#)

find_package(KF5Holidays)
set_package_properties(KF5Holidays PROPERTIES
    DESCRIPTION "Library for generation of public holidays"
    PURPOSE "Required for holidays support (optional)"
    TYPE RECOMMENDED
)


set(REQUIRED_QT_VERSION "5.9.0")

find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED
    COMPONENTS
        Core
        Gui
        PrintSupport
        Test
        Widgets
        Xml
)
find_package(Qt5DBus ${REQUIRED_QT_VERSION} QUIET)
set_package_properties(Qt5DBus PROPERTIES
    DESCRIPTION "Library for dbus access"
    PURPOSE "Required for dbus support (optional)"
    TYPE OPTIONAL
)

find_package(X11)
if(X11_FOUND)
    find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED
        COMPONENTS
            X11Extras
    )
    set(HAVE_X11 TRUE)
    add_definitions(-DHAVE_X11)
else()
    set(HAVE_X11 FALSE)
endif()

# use sane compile flags
add_definitions(
-DQT_USE_QSTRINGBUILDER
-DQT_STRICT_ITERATORS
-DQT_NO_SIGNALS_SLOTS_KEYWORDS
-DQT_NO_URL_CAST_FROM_STRING
-DQT_NO_CAST_TO_ASCII
)

# only with this definition will all the FOO_TEST_EXPORT macro do something
# TODO: check if this can be moved to only those places which make use of it,
# to reduce global compiler definitions that would trigger a recompile of
# everything on a change (like adding/removing tests to/from the build)
if(BUILD_TESTING)
    add_definitions(-DCOMPILING_TESTS)
endif()

# overcome some platform incompatibilities
if(WIN32)
    include_directories(${CMAKE_CURRENT_SOURCE_DIR}/winquirks)
    add_definitions(-D_USE_MATH_DEFINES)
    add_definitions(-DNOMINMAX)
    set(WIN32_PLATFORM_NET_LIBS ws2_32.lib netapi32.lib)
endif()

###########################
############################
## Required dependencies  ##
############################
###########################

##
## Test for KGantt
##
macro_optional_find_package(KGantt 2.8.0 QUIET)
set_package_properties(KGantt PROPERTIES
    DESCRIPTION "Library for creating Gantt diagrams (part of KDiagram)"
    URL "https://www.kde.org/"
    TYPE REQUIRED
)
if(KGantt_FOUND)
    set(KGANTT_VERSION_MAJOR "${KGantt_VERSION_MAJOR}")
    set(KGANTT_VERSION_MINOR "${KGantt_VERSION_MINOR}")
    set(KGANTT_VERSION_PATCH "${KGantt_VERSION_PATCH}")
endif()

##
## Test for KChart
##
macro_optional_find_package(KChart 2.8.0 QUIET)
set_package_properties(KChart PROPERTIES
    DESCRIPTION "Library for creating business charts (part of KDiagram)"
    URL "https://www.kde.org/"
    TYPE REQUIRED
)

##
## Test for QCA2
##
macro_optional_find_package(Qca-qt5 2.1.0 QUIET)
set_package_properties(Qca-qt5 PROPERTIES
    DESCRIPTION "Qt Cryptographic Architecture"
    URL "https:/download.kde.org/stable/qca-qt5"
    PURPOSE "Required for encrypted OpenDocument files and encrypted xls files support"
    TYPE OPTIONAL
)

find_package(KF5Wallet ${REQUIRED_KF5_VERSION})

if(Qca-qt5_FOUND AND KF5Wallet_FOUND)
    add_definitions( -DQCA2 )
endif()

find_package(Perl REQUIRED)

###########################
############################
## Optional dependencies  ##
############################
###########################

### Remove dependency on KF5AkonadiContact
### Review how to get at contacts in more portable way
##
## Test for KF5AkonadiContact
##
# find_package(KF5AkonadiContact CONFIG QUIET)
# set_package_properties(KF5AkonadiContact PROPERTIES
#     DESCRIPTION "Library for Accessing Contacts stored in Akonadi"
#     URL "https://www.kde.org/"
#     PURPOSE "Required for address book support"
#     TYPE OPTIONAL
# )

##
## Test for KF5CalendarCore
##
# find_package(KF5CalendarCore CONFIG QUIET)
# set_package_properties(KF5CalendarCore PROPERTIES
#     DESCRIPTION "KDE Calendar Library"
#     URL "https://www.kde.org/"
#     PURPOSE "Optionally used by semantic item Event"
#     TYPE OPTIONAL
#     )

if(WIN32)
    set(LIB_INSTALL_DIR ${LIB_INSTALL_DIR}
                        RUNTIME DESTINATION ${BIN_INSTALL_DIR}
                        LIBRARY ${INSTALL_TARGETS_DEFAULT_ARGS}
                        ARCHIVE ${INSTALL_TARGETS_DEFAULT_ARGS} )
endif()

#### Disable kreport for now, reconsider when it is stable ####
if (TEST_FOR_KREPORT)
    #
    # Test for KReport
    #
    macro_optional_find_package(KReport 3.1 QUIET)
    set_package_properties(KReport PROPERTIES
        PURPOSE "Required for KReport support in Plan"
        TYPE OPTIONAL
    )

    ##
    ## Test for KPropertyWidgets
    ##
    macro_optional_find_package(KPropertyWidgets 3.1 QUIET)
    set_package_properties(KPropertyWidgets PROPERTIES
        PURPOSE "Required for KReports support in Plan"
        TYPE OPTIONAL
    )
    if (KReport_FOUND AND KPropertyWidgets_FOUND)
        set(PLAN_USE_KREPORT TRUE)
    endif()
endif (TEST_FOR_KREPORT)


add_subdirectory(src)

add_subdirectory(devtools)

add_subdirectory(doc)

if (BUILD_TESTING)
    add_subdirectory(tests)
endif()

#add_custom_target(apidox doc/api/gendocs.pl WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

### Summarize findings ####
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)



find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

  find_package(KF5DocTools CONFIG)
  if(KF5DocTools_FOUND)
    kdoctools_install(po)
  endif()

=== doc/CMakeLists.txt ===

find_package(ECM ${REQUIRED_ECM_VERSION} QUIET)
if(NOT ECM_FOUND)
    return()
endif()

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
include(KDEInstallDirs)

macro_optional_find_package(KF5 ${REQUIRED_KF5_VERSION} QUIET COMPONENTS DocTools)

if(KF5_FOUND)
    kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR calligraplan)
endif()

=== src/libs/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"calligraplanlibs\")

add_subdirectory( plugin )
add_subdirectory( widgetutils )
add_subdirectory( widgets )
add_subdirectory( store )
add_subdirectory( odf )
add_subdirectory( kundo2 )

add_subdirectory( main )



add_subdirectory(kernel)
add_subdirectory(models)
add_subdirectory(ui)

=== src/tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )
include_directories( .. ${PALN_INCLUDES})

# call: plan_add_unit_test(<test-name> <sources> LINK_LIBRARIES <library> [<library> [...]] [GUI])
macro(PLAN_ADD_UNIT_TEST _TEST_NAME)
    ecm_add_test( ${ARGN}
        TEST_NAME "${_TEST_NAME}"
        NAME_PREFIX "plan-"
    )
endmacro()

########### test files ###############

set(test_files version-0-6.kplato project_stats1.kplato pert1.kplato)
foreach(it ${test_files})
    add_custom_target(${it} ALL
        COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/${it} ${CMAKE_CURRENT_BINARY_DIR}/${it}
        COMMENT "Copy test file ${it}" VERBATIM
    )
endforeach(it)

########### next target ###############

# NOTE: .kplato files is no longer native, so need some magic to run this test 
# plan_add_unit_test(InsertFileTester
#     InsertFileTester.cpp
#     LINK_LIBRARIES planprivate plankernel komain Qt5::Test
# )

########## next target ###############

plan_add_unit_test(InsertProjectTester
    InsertProjectTester.cpp
    LINK_LIBRARIES planprivate plankernel planmain Qt5::Test
)

=== src/workpackage/CMakeLists.txt ===
#project(planwork)

add_definitions(-DTRANSLATION_DOMAIN=\"calligraplanwork\")

add_subdirectory( templates )
add_subdirectory( pics )
#add_subdirectory( toolbar )
#add_subdirectory( tests )

include_directories(${PLAN_INCLUDES} ${CMAKE_CURRENT_SOURCE_DIR}/.. ${CMAKE_CURRENT_BINARY_DIR}/)


########### PlanWork private library ###############

set(planworkfactory_LIB_SRCS
    factory.cpp
    mainwindow.cpp
    part.cpp
    view.cpp
    workpackage.cpp

    taskworkpackagemodel.cpp
    taskworkpackageview.cpp

    taskcompletiondialog.cpp

    debugarea.cpp

    ../KPlatoXmlLoader.cpp #NB
)

ki18n_wrap_ui(planworkfactory_LIB_SRCS
    taskcompletionpanel.ui
)

kconfig_add_kcfg_files(planworksettings_SRCS calligraplanworksettings.kcfgc)

add_library(planworkfactory SHARED ${planworkfactory_LIB_SRCS} ${planworksettings_SRCS})
generate_export_header(planworkfactory BASE_NAME planwork)

target_link_libraries(planworkfactory
    PUBLIC
        plankernel
        planmodels
        planui
        planprivate
        planmain
        KGantt
        KF5::Parts
    PRIVATE
        KF5::IconThemes
)

set_target_properties(planworkfactory PROPERTIES VERSION ${GENERIC_PLAN_LIB_VERSION} SOVERSION ${GENERIC_PLAN_LIB_SOVERSION} )

install(TARGETS planworkfactory ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES calligraplanworksettings.kcfg DESTINATION ${KCFG_INSTALL_DIR})


########### PlanWork part ###############

set(planworkpart_PART_SRCS factoryinit.cpp )


add_library(calligraplanworkpart MODULE ${planworkpart_PART_SRCS})
if(NOT ${KF5_VERSION} VERSION_LESS "5.16.0")
    set(calligraplanworkpart_SERVICE_TYPES_ARGS SERVICE_TYPES kpart.desktop)
endif()
kcoreaddons_desktop_to_json(calligraplanworkpart planworkpart.desktop
    ${calligraplanworkpart_SERVICE_TYPES_ARGS}
)

target_link_libraries(calligraplanworkpart Qt5::Core KF5::Parts planworkfactory)

install(TARGETS calligraplanworkpart DESTINATION ${PLUGIN_INSTALL_DIR})


########### Calligra PlanWork executable ###############

set(calligraplanwork_KDEINIT_SRCS main.cpp commandlineparser.cpp)

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/pics/*-apps-calligraplanwork.png")
ecm_add_app_icon(kdeinit_app_ICONS_SRCS ICONS ${ICONS_SRCS})
if(WIN32)
    set(_resourcefile "${CMAKE_CURRENT_BINARY_DIR}/kdeinit_app_ICONS_SRCS.rc")
endif()

kf5_add_kdeinit_executable(calligraplanwork ${calligraplanwork_KDEINIT_SRCS})

if (APPLE)
   set_target_properties(calligraplanwork PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/Info.plist.template)
   set_target_properties(calligraplanwork PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.calligra.plan.work")
   set_target_properties(calligraplanwork PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "Plan Work")
endif ()

target_link_libraries(
    kdeinit_calligraplanwork

    planworkfactory
    plankernel
    planmain
    KF5::Parts
    KF5::IconThemes
    KF5::WindowSystem
    KF5::DBusAddons
)

install(TARGETS kdeinit_calligraplanwork  ${INSTALL_TARGETS_DEFAULT_ARGS})

target_link_libraries( calligraplanwork kdeinit_calligraplanwork )

install(TARGETS calligraplanwork  ${INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install( FILES  calligraplanwork.rc calligraplanwork_readonly.rc calligraplanworkui.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/calligraplanwork)
install( FILES  calligraplanworkrc DESTINATION ${CONFIG_INSTALL_DIR})
install( PROGRAMS  org.kde.calligraplanwork.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR})

=== src/libs/kernel/CMakeLists.txt ===

if(BUILD_TESTING)
    add_subdirectory( tests )
endif()

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR/commands}
    ${PLANODF_INCLUDES}
    ${PLANKUNDO2_INCLUDES})


########### KPlato kernel library ###############

set(plankernel_LIB_SRCS
    kptglobal.cpp
    kptlocale.cpp
    kpteffortcostmap.cpp
    kptdocuments.cpp
    kptaccount.cpp
    kptappointment.cpp
    kptnode.cpp
    kptproject.cpp
    kptrelation.cpp
    kptresource.cpp
    kpttask.cpp
    kptduration.cpp
    kptdatetime.cpp
    kptcalendar.cpp
    kptschedule.cpp
    kptwbsdefinition.cpp
    kptcommand.cpp
    kptpackage.cpp
    kptdebug.cpp

    commands/SetTaskModulesCommand.cpp

    kptschedulerplugin.cpp

    kptconfigbase.cpp

    KPlatoXmlLoaderBase.cpp
)

add_library(plankernel SHARED ${plankernel_LIB_SRCS})
generate_export_header(plankernel)

target_link_libraries(plankernel
    PUBLIC
        plankundo2
        planstore
        planwidgetutils
#         KF5::I18n
#         KF5::CoreAddons
)
if(KF5Holidays_FOUND)
    target_link_libraries(plankernel PUBLIC KF5::Holidays)
endif()

set_target_properties(plankernel PROPERTIES VERSION ${GENERIC_PLAN_LIB_VERSION} SOVERSION ${GENERIC_PLAN_LIB_SOVERSION} )

install(TARGETS plankernel ${INSTALL_TARGETS_DEFAULT_ARGS})

# TODO: with the new embedded JSON data for plugins there is no schema ATM to define extended properties
# plan_schedulerplugin.desktop

=== src/libs/main/CMakeLists.txt ===
if (BUILD_TESTING)
    add_subdirectory( tests )
endif ()

kde_enable_exceptions()

if (APPLE)
    find_library(FOUNDATION_LIBRARY Foundation)
endif ()

include_directories( ${PLANMAIN_INCLUDES})

########### next target ###############

if( Qca-qt5_FOUND )
   add_definitions( -DQCA2 )
endif()

set(komain_LIB_SRCS
    KoAutoSaveRecoveryDialog.cpp
    KoApplication.cpp
    KoComponentData.cpp
    KoDockFactoryBase.cpp
    KoDockRegistry.cpp
    KoDocument.cpp
    KoDocumentEntry.cpp
    KoMainWindow.cpp
    KoPrintingDialog.cpp
    KoPrintJob.cpp
    KoView.cpp
    KoFilterManager.cpp
    KoFilterChain.cpp
    KoFilter.cpp
    KoFilterEntry.cpp
    KoFilterManager_p.cpp
    KoFilterVertex.cpp
    KoFilterGraph.cpp
    KoFilterEdge.cpp
    KoFilterChainLink.cpp
    KoFilterChainLinkList.cpp
    KoUndoStackAction.cpp

#     KoFindBase.cpp
#     KoFindMatch.cpp
#     KoFindOption.cpp
#     KoFindOptionSet.cpp

    KoPart.cpp

    MainDebug.cpp
    Calligra2Migration.cpp
)

if( Qt5DBus_FOUND )
    set(komain_LIB_SRCS ${komain_LIB_SRCS}
        KoApplicationAdaptor.cpp
        KoViewAdaptor.cpp
        KoPartAdaptor.cpp
    )
endif()

add_library(planmain SHARED  ${komain_LIB_SRCS})
generate_export_header(planmain
    EXPORT_FILE_NAME komain_generated_export.h BASE_NAME komain
)

target_link_libraries(planmain
    PUBLIC
        planwidgets
        plankundo2
    PRIVATE
        planplugin
        KF5::Notifications
        KF5::ItemViews
        KF5::KIOFileWidgets
        KF5::IconThemes
        KF5::DBusAddons
)

if( KF5Activities_FOUND )
    target_link_libraries(planmain PRIVATE KF5::Activities)
endif()

if (APPLE)
    target_link_libraries(planmain PRIVATE ${FOUNDATION_LIBRARY})
endif ()

set_target_properties(planmain PROPERTIES
    VERSION ${GENERIC_PLAN_LIB_VERSION} SOVERSION ${GENERIC_PLAN_LIB_SOVERSION}
)
install(TARGETS planmain ${INSTALL_TARGETS_DEFAULT_ARGS} )

########### install files ###############

# TODO: with the new embedded JSON data for plugins there is no schema ATM to define extended properties
# calligradocker.desktop

install(FILES calligraplan_shell.rc DESTINATION ${DATA_INSTALL_DIR}/calligraplan )

if (APPLE)
    install(FILES osx.stylesheet DESTINATION ${DATA_INSTALL_DIR}/calligraplan )
endif ()

=== src/libs/plugin/CMakeLists.txt ===

set(koplugin_LIB_SRCS
    KoPluginLoader.cpp
)

add_library(planplugin SHARED ${koplugin_LIB_SRCS})
generate_export_header(planplugin BASE_NAME koplugin)

target_link_libraries(planplugin
    PUBLIC
        Qt5::Core
    PRIVATE
        KF5::ConfigCore
        KF5::CoreAddons
)

set_target_properties(planplugin PROPERTIES
    VERSION ${GENERIC_PLAN_LIB_VERSION} SOVERSION ${GENERIC_PLAN_LIB_SOVERSION}
)
install(TARGETS planplugin ${INSTALL_TARGETS_DEFAULT_ARGS} )

=== src/libs/store/CMakeLists.txt ===
if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

########### libkostore ###############

set(kostore_LIB_SRCS
    KoDirectoryStore.cpp
    KoLZF.cpp
    KoStore.cpp
    KoStoreDevice.cpp
    KoTarStore.cpp
    KoXmlNS.cpp
    KoXmlReader.cpp
    KoXmlWriter.cpp
    KoZipStore.cpp
    StoreDebug.cpp
    KoNetAccess.cpp # temporary while porting
)
if( Qca-qt5_FOUND )
    set(kostore_LIB_SRCS ${kostore_LIB_SRCS}
        KoEncryptedStore.cpp
        KoEncryptionChecker.cpp
    )
endif()

add_library(planstore SHARED ${kostore_LIB_SRCS})
generate_export_header(planstore BASE_NAME kostore)

target_link_libraries(planstore
    PUBLIC
        Qt5::Xml
        Qt5::Core
        KF5::KIOCore
    PRIVATE
        Qt5::Gui
        KF5::Archive
        KF5::KIOWidgets
        KF5::I18n
)
if( Qca-qt5_FOUND )
    target_link_libraries(planstore PRIVATE qca-qt5 KF5::Wallet)
endif()

set_target_properties(planstore PROPERTIES
    VERSION ${GENERIC_PLAN_LIB_VERSION} SOVERSION ${GENERIC_PLAN_LIB_SOVERSION}
)
install(TARGETS planstore ${INSTALL_TARGETS_DEFAULT_ARGS} )

=== src/libs/ui/CMakeLists.txt ===


include_directories(
    ${PLANKERNEL_INCLUDES}
    ${PLANMODELS_INCLUDES}
    ${PLANMAIN_INCLUDES}
    ${PLANWIDGETS_INCLUDES}
    ${KDEPIMLIBS_INCLUDE_DIR}
)

#add_subdirectory( tests )

########### KPlato private library ###############

if (PLAN_USE_KREPORT)
    message(STATUS "-- Building plan with reports capability")
    add_subdirectory(reports/items)

    set(planreports_LIB_SRC
        reports/reportview.cpp
        reports/reportdata.cpp
        reports/reportsourceeditor.cpp
        reports/reportscripts.cpp
    )
    set(planreports_ui_LIB_SRCS
        reports/reportsourceeditor.ui
        reports/reportnavigator.ui
        reports/reportsectionswidget.ui
        reports/reportgroupsectionswidget.ui
        reports/reporttoolswidget.ui
    )

endif()

set(planui_LIB_SRCS
    ${planreports_LIB_SRC}

    RelationEditorDialog.cpp
    TasksEditController.cpp
    TasksEditDialog.cpp

    RichTextWidget.cpp

    reportsgenerator/ReportsGeneratorView.cpp

    kptganttitemdelegate.cpp

    kptworkpackagesendpanel.cpp
    kptworkpackagesenddialog.cpp
    kptdocumentseditor.cpp
    kptdocumentspanel.cpp
    kptdocumentsdialog.cpp
    
    kptitemviewsettup.cpp
    kptsplitterview.cpp
    kptrelationeditor.cpp
    kptdependencyeditor.cpp
    kptusedefforteditor.cpp
    kpttaskstatusview.cpp
    kptcalendareditor.cpp
    kptviewbase.cpp
    kptaccountseditor.cpp
    kptperteditor.cpp
    kptpertresult.cpp
    kpttaskeditor.cpp
    kptresourceeditor.cpp
    kptscheduleeditor.cpp
    kptsummarytaskdialog.cpp
    kptsummarytaskgeneralpanel.cpp
    kptresourceappointmentsview.cpp
    kptaccountsviewconfigdialog.cpp
    kptaccountsview.cpp
    kpttaskcostpanel.cpp
    kptmilestoneprogresspanel.cpp
    kptmilestoneprogressdialog.cpp
    kpttaskdialog.cpp
    kptmainprojectdialog.cpp
    kptmainprojectpanel.cpp
    kptganttview.cpp
    gantt/DateTimeTimeLine.cpp
    gantt/DateTimeGrid.cpp
    kptrelationdialog.cpp
    kptrequestresourcespanel.cpp
    kptresourcedialog.cpp
    kptstandardworktimedialog.cpp
    kptintervaledit.cpp
    kpttaskgeneralpanel.cpp
    kpttaskprogresspanel.cpp
    kpttaskprogressdialog.cpp
    kpttaskdescriptiondialog.cpp
    kptwbsdefinitiondialog.cpp
    kptwbsdefinitionpanel.cpp
    kptresourceassignmentview.cpp
    kptresourceallocationeditor.cpp
    kptworkpackagemergedialog.cpp
    kptrecalculatedialog.cpp

    locale/localemon.cpp
    kptlocaleconfigmoneydialog.cpp

    ResourceAllocationView.cpp

    performance/KPlatoChart.cpp
    performance/PerformanceStatusBase.cpp
    performance/ProjectStatusView.cpp
    performance/PerformanceStatusView.cpp
    performance/PerformanceTableView.cpp
)

ki18n_wrap_ui(planui_LIB_SRCS
    ${planreports_ui_LIB_SRCS}

    RelationEditorDialog.ui

    kptresourceappointmentsdisplayoptions.ui
    kptganttchartdisplayoptions.ui

    kptprintingheaderfooter.ui
    kptganttprintingoptions.ui

    kptworkpackagesendpanel.ui
    
    kptdocumentspanel.ui
    
    performance/PerformanceStatus.ui
    performance/PerformanceStatusViewSettingsPanel.ui
    
    kptcpmwidget.ui
    kptitemviewsettings.ui
    kptpertresult.ui
    standardworktimedialogbase.ui
    kptwbsdefinitionpanelbase.ui
    kptaccountsviewconfigurepanelbase.ui
    kptintervaleditbase.ui
    kpttaskcostpanelbase.ui
    kpttaskdescriptionpanelbase.ui
    kptsummarytaskgeneralpanelbase.ui
    kptmilestoneprogresspanelbase.ui
    resourcedialogbase.ui
    kptmainprojectpanelbase.ui
    relationpanel.ui
    kpttaskgeneralpanelbase.ui
    kpttaskprogresspanelbase.ui
    kptperteditor.ui
    kptresourceassignmentview.ui
    kpttaskstatusviewsettingspanel.ui
    kptworkpackagemergepanel.ui
    kptrecalculatedialog.ui
    kptscheduleeditor.ui

    locale/localemon.ui
)

add_library(planui SHARED ${planui_LIB_SRCS})
generate_export_header(planui)

target_link_libraries(planui
    PUBLIC
        planmain
        planmodels
        KF5::TextWidgets
    PRIVATE
        KChart
        KF5::ItemViews
        KF5::IconThemes
        KF5::Archive
        KF5::KIOCore
        KF5::KIOFileWidgets
        KF5::KIOWidgets
        KF5::KIONTLM
)
if (PLAN_USE_KREPORT)
    target_link_libraries(planui PUBLIC KReport PRIVATE KPropertyWidgets)
endif()

if(KF5AkonadiContact_FOUND)
    target_link_libraries(planui  PRIVATE KF5::AkonadiContact)
endif()

set_target_properties(planui PROPERTIES VERSION ${GENERIC_PLAN_LIB_VERSION} SOVERSION ${GENERIC_PLAN_LIB_SOVERSION} )

install(TARGETS planui ${INSTALL_TARGETS_DEFAULT_ARGS})

install( FILES
        AccountsEditorUi.rc
        AccountsEditorUi_readonly.rc
        AccountsViewUi.rc
        CalendarEditorUi.rc
        CalendarEditorUi_readonly.rc
        TaskEditorUi.rc
        TaskEditorUi_readonly.rc
        DependencyEditorUi.rc
        DependencyEditorUi_readonly.rc
        ResourceEditorUi.rc
        ResourceEditorUi_readonly.rc
        ResourceAppointmentsViewUi.rc
        ScheduleEditorUi.rc
        ScheduleEditorUi_readonly.rc
        GanttViewUi.rc
        WorkPackageViewUi.rc
        WorkPackageViewUi_readonly.rc
        reportsgenerator/ReportsGeneratorViewUi.rc
        reportsgenerator/ReportsGeneratorViewUi_readonly.rc
        performance/PerformanceStatusViewUi.rc
        performance/ProjectStatusViewUi.rc
        PertResultUi.rc
        TaskViewUi.rc
        TaskStatusViewUi.rc
    DESTINATION ${KXMLGUI_INSTALL_DIR}/calligraplan
)

# reports files
install(FILES
        reportsgenerator/templates/EmptyTemplate.odt
        reportsgenerator/templates/ProjectPerformanceCost.odt
        reportsgenerator/templates/ProjectPerformanceEffort.odt
        reportsgenerator/templates/TaskStatus.odt
    DESTINATION ${DATA_INSTALL_DIR}/calligraplan/reports
)

=== src/plugins/schedulers/CMakeLists.txt ===
## Disable librcps for now
## It has some bugs, and should be extended to be really useful
# set(LIBRCPS_MIN_VERSION "0.3")
# # macro_optional_find_package(LibRCPS)
# # 
# # if(LIBRCPS_FOUND AND LIBRCPS_INCLUDE_DIR AND LIBRCPS_LIBRARIES)
# #     set(HAVE_LIBRCPS 1)
# # endif()
# 
# set(HAVE_LIBRCPS 1)
# 
# set_package_properties(LibRCPS PROPERTIES
#     DESCRIPTION "Resource Constrained Project Scheduling Library"
#     URL "http://www.librcps.org"
#     PURPOSE "Required by Plan RCPS Plugin"
#     TYPE OPTIONAL
# )
# 
# if(HAVE_LIBRCPS)
#     add_subdirectory( rcps )
# endif()

add_subdirectory(tj)

=== src/plugins/scripting/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"krossmoduleplan\")

include_directories( 
    ${PLAN_SOURCE_DIR}
    ${PLAN_INCLUDES}
    ${PLANKROSS_INCLUDES}
)

add_subdirectory( scripts )
if(BUILD_TESTING)
    add_subdirectory( tests )
endif()

set(krossmoduleplan_PART_SRCS
    Account.cpp
    Calendar.cpp
    Node.cpp
    Resource.cpp
    ResourceGroup.cpp
    Schedule.cpp
    Project.cpp
    Module.cpp
    ScriptingPart.cpp
    ScriptingWidgets.cpp
    ScriptingDebug.cpp
)

ki18n_wrap_ui(krossmoduleplan_PART_SRCS
    ScriptingDataQueryView.ui
)

# TODO: plugin should not be SHARED, but MODULE. Needs to be SHARED because tests link to it -> fix with util lib/objects
add_library(krossmoduleplan SHARED ${krossmoduleplan_PART_SRCS})
generate_export_header(krossmoduleplan
    BASE_NAME planscripting
    EXPORT_FILE_NAME planscripting_generated_export.h
)
calligraplan_viewplugin_desktop_to_json(krossmoduleplan planscripting.desktop)

target_link_libraries(krossmoduleplan
    planprivate
    plankernel
    planmodels
    planmain
    plankross
)

install(TARGETS krossmoduleplan DESTINATION ${PLUGIN_INSTALL_DIR}/calligraplan/extensions)
install(FILES scripting.rc DESTINATION ${DATA_INSTALL_DIR}/calligraplan/viewplugins)

=== debian/changelog ===
calligraplan (1:3.3.0-4) unstable; urgency=medium

  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Pass -DCMAKE_POLICY_VERSION_MINIMUM=3.5 to cmake so it builds with cmake 4
    (hoping that everything works properly). (Closes: #1112745)

 -- Pino Toscano <pino@debian.org>  Mon, 06 Oct 2025 20:56:54 +0200

calligraplan (1:3.3.0-3) unstable; urgency=medium

  * Switch the libkchart-dev build dependency to libkchart2-dev, and the
    libkgantt-dev build dependency to libkgantt2-dev: the unversioned packages
    represent the Qt 6 version, and calligraplan is still based on Qt 5.
    (Closes: #1086481, #1091122)
  * Bump Standards-Version to 4.7.2, no changes required.
  * Switch the deprecated pkg-config build dependency to pkgconf.
  * Append -Wno-deprecated -Wno-deprecated-declarations to the CXXFLAGS,
    as there are lots of deprecation warnings that make build logs bigger.

 -- Pino Toscano <pino@debian.org>  Wed, 02 Apr 2025 08:24:57 +0200

calligraplan (1:3.3.0-2) unstable; urgency=medium

  * Drop all the l10n breaks/replaces, no more needed after two Debian stable
    releases.
  * Bump Standards-Version to 4.6.2, no changes required.
  * Add a debian/upstream/metadata file.
  * Update lintian override info format in d/calligraplan.lintian-overrides on
    line 8.

 -- Pino Toscano <pino@debian.org>  Sun, 01 Jan 2023 10:22:05 +0100

calligraplan (1:3.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Add the upstream GPG singing key.
  * Update the patches:
    - upstream_Fix-build-with-Qt-5.15.patch: drop, backported from upstream
  * Update the build dependencies according to the upstream build system:
    - bump libkchart-dev, and libkgantt-dev to 2.8
    - add libkf5doctools-dev
    - drop libkf5khtml-dev, no more needed
  * Use execute_after_dh_auto_install to avoid invoking dh_auto_install
    manually.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Fri, 29 Jan 2021 21:37:40 +0100

=== debian/control ===
Source: calligraplan
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.19.0),
               gettext,
               kinit-dev (>= 5.45.0~),
               libkchart2-dev (>= 2.8~),
               libkf5activities-dev (>= 5.45.0~),
               libkf5archive-dev (>= 5.45.0~),
               libkf5config-dev (>= 5.45.0~),
               libkf5configwidgets-dev (>= 5.45.0~),
               libkf5coreaddons-dev (>= 5.45.0~),
               libkf5dbusaddons-dev (>= 5.45.0~),
               libkf5doctools-dev,
               libkf5guiaddons-dev (>= 5.45.0~),
               libkf5holidays-dev,
               libkf5i18n-dev (>= 5.45.0~),
               libkf5iconthemes-dev (>= 5.45.0~),
               libkf5itemviews-dev (>= 5.45.0~),
               libkf5jobwidgets-dev (>= 5.45.0~),
               libkf5kio-dev (>= 5.45.0~),
               libkf5notifications-dev (>= 5.45.0~),
               libkf5parts-dev (>= 5.45.0~),
               libkf5textwidgets-dev (>= 5.45.0~),
               libkf5wallet-dev (>= 5.45.0~),
               libkf5widgetsaddons-dev (>= 5.45.0~),
               libkf5windowsystem-dev (>= 5.45.0~),
               libkf5xmlgui-dev (>= 5.45.0~),
               libkgantt2-dev (>= 2.8~),
               libqca-qt5-2-dev,
               libqt5opengl5-dev (>= 5.9.0~),
               libqt5x11extras5-dev (>= 5.9.0~),
               libx11-dev,
               pkgconf,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.9.0~),
Standards-Version: 4.7.2
Homepage: https://www.calligra.org/plan/
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/calligraplan.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/calligraplan

Package: calligraplan
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: integrated project management and planning tool
 Plan is a project management application, allowing for the planning and
 scheduling of projects. It was formerly known as KPlato.
 .
 This package is part of the Calligra Suite.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# lots of deprecation warnings, so disable them for now
export DEB_CXXFLAGS_MAINT_APPEND = -Wno-deprecated -Wno-deprecated-declarations

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- \
		-DCMAKE_POLICY_VERSION_MINIMUM=3.5 \
		-DBUILD_TESTING=OFF

execute_after_dh_auto_install:
	# remove symlinks of private libraries
	find debian/calligraplan -name '*.so' -type l -print -delete

.PHONY: override_dh_auto_test

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/calligra/([\d\.]+)/calligraplan-([\d\.]+)\.tar\.xz

## calligraplan 3.3.0+p24.04+vstable+git20250909.0651

=== CMakeLists.txt ===
--- 
+++ 
@@ -331,10 +331,13 @@
 
 
 add_subdirectory(src)
-
 add_subdirectory(devtools)
-
 add_subdirectory(doc)
+
+ki18n_install(po)
+if(KF5DocTools_FOUND)
+    kdoctools_install(po)
+endif()
 
 if (BUILD_TESTING)
     add_subdirectory(tests)
@@ -346,11 +349,3 @@
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 
-
-find_package(KF5I18n CONFIG REQUIRED)
-ki18n_install(po)
-
-  find_package(KF5DocTools CONFIG)
-  if(KF5DocTools_FOUND)
-    kdoctools_install(po)
-  endif()

=== debian/changelog ===
calligraplan (1:3.3.0+p24.04+vstable+git20250909.0651-0) noble; urgency=medium

  [ Pino Toscano ]
  * Drop all the l10n breaks/replaces, no more needed after two Debian stable
    releases.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Add a simple upstream/metadata file.

  [ Neon CI ]
  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 06:51:29 +0000

=== debian/control ===
Source: calligraplan
Section: kde
Priority: optional
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.19.0),
               gettext,
               kinit-dev (>= 5.45.0~),
               libkchart5-dev,
               libkf5activities-dev (>= 5.45.0~),
               libkf5archive-dev (>= 5.45.0~),
               libkf5config-dev (>= 5.45.0~),
               libkf5configwidgets-dev (>= 5.45.0~),
               libkf5coreaddons-dev (>= 5.45.0~),
               libkf5dbusaddons-dev (>= 5.45.0~),
               libkf5doctools-dev,
               libkf5guiaddons-dev (>= 5.45.0~),
               libkf5holidays-dev,
               libkf5i18n-dev (>= 5.45.0~),
               libkf5iconthemes-dev (>= 5.45.0~),
               libkf5itemmodels-dev (>= 5.45.0~),
               libkf5itemviews-dev (>= 5.45.0~),
               libkf5jobwidgets-dev (>= 5.45.0~),
               libkf5kio-dev (>= 5.45.0~),
               libkf5notifications-dev (>= 5.45.0~),
               libkf5parts-dev (>= 5.45.0~),
               libkf5textwidgets-dev (>= 5.45.0~),
               libkf5wallet-dev (>= 5.45.0~),
               libkf5widgetsaddons-dev (>= 5.45.0~),
               libkf5windowsystem-dev (>= 5.45.0~),
               libkf5xmlgui-dev (>= 5.45.0~),
               libkgantt5-dev,
               libqca-qt5-2-dev,
               libqt5opengl5-dev (>= 5.9.0~),
               libqt5x11extras5-dev (>= 5.9.0~),
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.9.0~)
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://www.calligra.org/plan/
Vcs-Git: https://invent.kde.org/neon/extras/calligraplan.git
Vcs-Browser: https://invent.kde.org/neon/extras/calligraplan
Maintainer: Neon CI <neon@kde.org>

Package: calligraplan
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: integrated project management and planning tool
 Plan is a project management application, allowing for the planning and
 scheduling of projects. It was formerly known as KPlato.
 .
 This package is part of the Calligra Suite.

## calligraplan 3.3.0+p24.04+vstable+git20250925.1356

=== debian/changelog ===
calligraplan (1:3.3.0+p24.04+vstable+git20250925.1356-0) noble; urgency=medium

  [ Pino Toscano ]
  * Drop all the l10n breaks/replaces, no more needed after two Debian stable
    releases.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Add a simple upstream/metadata file.

  [ Neon CI ]
  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 25 Sep 2025 13:56:45 +0000

## calligraplan 3.3.0+p24.04+vstable+git20260103.0058

=== debian/changelog ===
calligraplan (1:3.3.0+p24.04+vstable+git20260103.0058-0) noble; urgency=medium

  [ Pino Toscano ]
  * Drop all the l10n breaks/replaces, no more needed after two Debian stable
    releases.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Add a simple upstream/metadata file.

  [ Neon CI ]
  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 00:59:04 +0000

=== debian/control ===
Source: calligraplan
Section: kde
Priority: optional
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               default-jre,
               gettext,
               kf6-extra-cmake-modules,
               kf6-kactivities-dev,
               kf6-karchive-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kdbusaddons-dev,
               kf6-kdoctools-dev,
               kf6-kguiaddons-dev,
               kf6-kholidays-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-kitemmodels-dev,
               kf6-kitemviews-dev,
               kf6-kjobwidgets-dev,
               kf6-knotifications-dev,
               kf6-kparts-dev,
               kf6-ktextwidgets-dev,
               kf6-kwallet-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               libkchart6-dev,
               libkgantt6-dev,
               libqca-qt6-dev,
               libx11-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-5compat-dev,
               qt6-base-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://www.calligra.org/plan/
Vcs-Git: https://invent.kde.org/neon/extras/calligraplan.git
Vcs-Browser: https://invent.kde.org/neon/extras/calligraplan
Maintainer: Neon CI <neon@kde.org>

Package: calligraplan
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: integrated project management and planning tool
 Plan is a project management application, allowing for the planning and
 scheduling of projects. It was formerly known as KPlato.
 .
 This package is part of the Calligra Suite.

## calligraplan 3.3.0+p24.04+vstable+git20260107.0734

=== debian/changelog ===
calligraplan (1:3.3.0+p24.04+vstable+git20260107.0734-0) noble; urgency=medium

  [ Pino Toscano ]
  * Drop all the l10n breaks/replaces, no more needed after two Debian stable
    releases.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Add a simple upstream/metadata file.

  [ Neon CI ]
  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 07:34:13 +0000

## calligraplan 3.3.0+p24.04+vunstable+git20251203.0259

=== debian/changelog ===
calligraplan (1:3.3.0+p24.04+vunstable+git20251203.0259-0) noble; urgency=medium

  [ Pino Toscano ]
  * Drop all the l10n breaks/replaces, no more needed after two Debian stable
    releases.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Add a simple upstream/metadata file.

  [ Neon CI ]
  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Dec 2025 02:59:32 +0000

## calligraplan 3.3.0+p24.04+vunstable+git20251203.0332

=== debian/changelog ===
calligraplan (1:3.3.0+p24.04+vunstable+git20251203.0332-0) noble; urgency=medium

  [ Pino Toscano ]
  * Drop all the l10n breaks/replaces, no more needed after two Debian stable
    releases.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Add a simple upstream/metadata file.

  [ Neon CI ]
  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Dec 2025 03:32:34 +0000
